## Author: M. Turhan Coban
## Created: 2021-11-11

function retval = plot1 (f,x1,x2,N)
  if nargin==3
    N=100;
  endif
  dx=(x2-x1)/(N-1);
  for i=1:N
    x(i)=x1+dx*i;
    ff(i)=f(x(i));
  endfor
  plot(x,ff);
endfunction
